
if ~exist('wavelength','var')
	[wavelength(1,:),absorb(1,:),absorb(2,:),absorb(3,:),absorb(4,:),absorb(5,:),absorb(6,:),absorb(7,:),absorb(8,:),absorb(9,:),absorb(10,:),absorb(11,:),absorb(12,:),absorb(13,:),absorb(14,:)] = hiscale_importUVVIS('D:\Google Drive\Projects\HI-SCALE SGP\Data\SOM_UV-VIS_MAC_rdy2import.xlsx','raw data');
end

figure; 
maxfig(gcf,1);
hold on;
for i = 1:14
% 	absorb(i,:) = absorb(i,:) ./ absorb(i,end);
	plot(wavelength,absorb(i,:));
end
legend({'1','2','3','4','5','6','7','8','9','10','11','12','13','14'});

axis square
% xlim([190,700]); %Full View
% xlim([200,300]); %Zoomed
% ylim([-0.1,1.2]);
xlabel('Wavelength (nm)');
ylabel('Absorbance (a.u.)');
title('UV-VIS Spectra of SOM Brine');
set(gca,'FontWeight','bold','FontSize',20);